openssh-server attempts to connect to upstart and the connection is refused

Bug #1440070 reported by Christian on 2015-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openssh (Debian)
Fix Committed
Unknown
openssh (Ubuntu)
Low
Martin Pitt

Bug Description

lsb_release -rd:
Description: Ubuntu Vivid Vervet (development branch)
Release: 15.04

pkg-name:
christian@Moustachio:~/Code$ apt-cache policy openssh-server
openssh-server:
  Installed: 1:6.7p1-5
  Candidate: 1:6.7p1-5
  Version table:
 *** 1:6.7p1-5 0
        500 http://us.archive.ubuntu.com/ubuntu/ vivid/main amd64 Packages
        100 /var/lib/dpkg/status

On Ubuntu 15.04 (Vivid Ververt) the installation of the package openssh-server displays the following error message:

initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused

Running 'systemctl status ssh' shows that systemd knows about the service:

christian@Moustachio:~/Code$ ubuntu-bug openssh-server
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

(process:12244): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
christian@Moustachio:~/Code$ systemctl status ssh
● ssh.service - OpenBSD Secure Shell server
   Loaded: loaded (/lib/systemd/system/ssh.service; enabled; vendor preset: enabled)
   Active: active (running) since Fri 2015-04-03 07:43:01 MDT; 4min 41s ago
 Main PID: 11689 (sshd)
   CGroup: /system.slice/ssh.service
           └─11689 /usr/sbin/sshd -D

Apr 03 07:43:01 Moustachio systemd[1]: Started OpenBSD Secure Shell server.
Apr 03 07:43:01 Moustachio systemd[1]: Starting OpenBSD Secure Shell server...
Apr 03 07:43:01 Moustachio sshd[11689]: Server listening on 0.0.0.0 port 22.
Apr 03 07:43:01 Moustachio sshd[11689]: Server listening on :: port 22.

It appears that sshd is attempting to register with upstart and with systemd. SInce Ubuntu 15.04 upstart has been replaced with systemd. I expected openssh-server on Ubuntu 15.04 to not want to use upstart. It does properly use systemd, it just prints an error about trying to tallk to upstart.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: openssh-server 1:6.7p1-5
ProcVersionSignature: Ubuntu 3.19.0-10.10-generic 3.19.2
Uname: Linux 3.19.0-10-generic x86_64
ApportVersion: 2.17-0ubuntu1
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Apr 3 07:45:13 2015
InstallationDate: Installed on 2015-03-23 (11 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20150322)
SourcePackage: openssh
UpgradeStatus: No upgrade log present (probably fresh install)

Christian (cmbernard333) wrote :
tags: added: systemd-boot
Martin Pitt (pitti) wrote :

This is just cosmetical. We actually do want to continue upstart support at least until the next LTS (and also for Ubuntu touch), so we can't just rip that out wholesale yet. But it shouldn't produce that confusing error for sure.

Changed in openssh (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Martin Pitt (pitti) on 2015-04-09
Changed in openssh (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssh - 1:6.7p1-5ubuntu1

---------------
openssh (1:6.7p1-5ubuntu1) vivid; urgency=medium

  * openssh-server.postinst: Quiesce "Unable to connect to Upstart" error
    message from initctl if upstart is installed, but not the current init
    system. (LP: #1440070)
  * openssh-server.postinst: Fix version comparisons of upgrade adjustments to
    not apply to fresh installs.
 -- Martin Pitt <email address hidden> Thu, 09 Apr 2015 09:20:36 +0200

Changed in openssh (Ubuntu):
status: Fix Committed → Fix Released
Changed in openssh (Debian):
status: Unknown → New
Changed in openssh (Debian):
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.